Skip to main content
GET
/
customers
/
{external_customer_id}
/
portal_url
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/customers/:external_id/portal_url" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
  client.customers.portal_url('external_id')
except LagoApiError as e:
  repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.customers.portal_url('external_id')
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

customer, err := lagoClient.Customer().PortalUrl("__EXTERNAL_ID__")
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// customer is *lago.Customer
fmt.Println(customer)
}
{
  "customer": {
    "portal_url": "https://app.lago.com/customer-portal/1234567890"
  }
}
{
"status": 401,
"error": "Unauthorized"
}
{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/customers/:external_id/portal_url" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
  client.customers.portal_url('external_id')
except LagoApiError as e:
  repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.customers.portal_url('external_id')
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

customer, err := lagoClient.Customer().PortalUrl("__EXTERNAL_ID__")
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// customer is *lago.Customer
fmt.Println(customer)
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

External ID of the existing customer

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

Response

Portal URL

customer
object
required